Subject: RE: bug#22494: still can't search for two spaces

From: Drew Adams <[email-masked]>
Date: Sat, 30 Jan 2016 14:28:26 -0800 (PST)

>   > > I still can't search for two spaces with C-s SPC SPC.
>   > > It still just sits on the first match for single space.
> 
>   > Crystal ball says you didn't read the manual, which explains that you
>   > need to type M-s SPC after C-s to get what you want (which is literal
>   > space matching).
> 
> This is a bug.  When the user types SPC SPC in a search string,
> person clearly wants to search for two spaces.  It should do that.

+1

If lax-whitespace matching is currently turned on, typing
multiple whitespace chars contiguously could turn it off.

But in that case a message should let the user know that this
change has occurred.

And then what if the user made a mistake typing that second SPC
char - i.e., didn't really mean to search literally for multiple
whitespace chars?  It won't be enough to just delete the second
SPC char (but the user might try that).

Perhaps the message that lax whitespace matching has been switched
to literal should also mention the key sequence for toggling
back to lax matching.